using System;
using System.Collections.Generic;
using Props.Shop.Framework;

namespace Props.Shop.Adafruit.Persistence
{
    public class ProductListingCacheData
    {
        public const string FILE_NAME = "Product-listing-cache.json";
        public DateTime LastUpdatedUtc { get; set; }
        public IReadOnlyDictionary<string, IList<ProductListing>> ProductListings { get; set; }

        public ProductListingCacheData(IReadOnlyDictionary<string, IList<ProductListing>> productListings)
        {
            this.ProductListings = productListings;
            LastUpdatedUtc = DateTime.UtcNow;
        }

        public ProductListingCacheData()
        {
        }
    }
}