using System.ComponentModel.DataAnnotations;
using Props.Models.User;

namespace Props.Shared.Models.User
{
    public class ApplicationPreferences
    {
        public int Id { get; set; }

        [Required]
        public string ApplicationUserId { get; set; }

        [Required]
        public virtual ApplicationUser ApplicationUser { get; set; }

        public bool EnableSearchHistory { get; set; } = true;
        public bool DarkMode { get; set; } = false;
    }
}